//
// Created by lin he on 2021/5/25.
//

#include "LogHelper.h"
#include <android/log.h>

__attribute__((visibility("default"))) __attribute__((used))
int32_t native_log_func(NativeLogFlag flag, char* tag, char* msg, DartLogger callback) {
    if (tag == NULL || msg == NULL){
        __android_log_print(ANDROID_LOG_ERROR, tag, "tag or msg invalid");
        return -1;
    }
    int32_t retcode = 0;
    switch(flag){
        case NFlagError:
            __android_log_print(ANDROID_LOG_ERROR, tag, "%s", msg);
            break;
        case NFlagWarning:
            __android_log_print(ANDROID_LOG_WARN, tag, "%s", msg);
            break;
        case NFlagInfo:
            __android_log_print(ANDROID_LOG_INFO, tag, "%s", msg);
            break;
        case NFlagDebug:
            __android_log_print(ANDROID_LOG_DEBUG, tag, "%s", msg);
            break;
        case NFlagVerbose:
            __android_log_print(ANDROID_LOG_VERBOSE, tag, "%s", msg);
            break;
        default :
            __android_log_print(ANDROID_LOG_ERROR, tag, "flag %d not supportted", flag);
            retcode = -2;
            break;
    }
   if (callback!=NULL){
       int8_t simulator = 0;
#ifdef ANDROID_SIMULATOR
       simulator = 1;
#endif
       callback(flag,simulator,tag,msg);
   }
    return retcode;
}