//
//  DDLogWrapper.m
//  
//
//  Created by lin he on 2021/5/25.
//

#import "DDLogWrapper.h"
@import CocoaLumberjack;

#ifndef ddLogLevel
#define ddLogLevel DDLogLevelAll
#endif

@implementation DDLogWrapper

+(void)assertLogFormatter:(NSString*)formatter{
    NSAssert([formatter isKindOfClass:[NSString class]], @"参数类型错误");
}

+(void)ddLogError_:(NSString*)format args:(va_list)list{
    if (format) {
        [self assertLogFormatter:format];
        NSString *message = [[NSString alloc] initWithFormat:format arguments:list];
        DDLogError(@"%@",message);
    }
}
+(void)ddLogWarn_:(NSString*)format args:(va_list)list{
    if (format) {
        [self assertLogFormatter:format];
        NSString *message = [[NSString alloc] initWithFormat:format arguments:list];
        DDLogWarn(@"%@",message);
    }
}
+(void)ddLogInfo_:(NSString*)format args:(va_list)list{
    if (format) {
        [self assertLogFormatter:format];
        NSString *message = [[NSString alloc] initWithFormat:format arguments:list];
        DDLogInfo(@"%@",message);
    }
}
+(void)ddLogDebug_:(NSString*)format args:(va_list)list{
    if (format) {
        [self assertLogFormatter:format];
        NSString *message = [[NSString alloc] initWithFormat:format arguments:list];
        DDLogDebug(@"%@",message);
    }
}
+(void)ddLogVerbose_:(NSString*)format args:(va_list)list{
    if (format) {
        [self assertLogFormatter:format];
        NSString *message = [[NSString alloc] initWithFormat:format arguments:list];
        DDLogVerbose(@"%@",message);
    }
}

@end
